from keyedinstance import KeyedInstance
from importpath import import_path

def loadModel(model):
    ''' Import module and use module-level variable -- assume model is of form "mod1.mod2.varname". '''
    if isinstance(model, basestring):
        varname = model.split('.')[-1]
        modules = '.'.join(model.split('.')[:-1])
        try:
            module = __import__(modules, globals(), {}, ['dummy-not-used'], -1)
        except TypeError:
            # The level argument doesn't exist in Python 2.4 and lower
            module = __import__(modules, globals(), {}, ['dummy-not-used'])

        return getattr(module, varname)
    else:
        # Assume it's already loaded.
        return model
    
